Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name | ### brightness()
Examples |
    noStroke();
    colorMode(HSB, 255);
    color c = color(0, 126, 255);
    fill(c);
    rect(15, 20, 35, 60);
    float value = brightness(c);  // Sets "value" to "255"
    fill(value);
    rect(50, 20, 35, 60);
Description | Extracts the brightness value from a color.
Syntax |
    brightness(color)
Parameters |
color | any value of the color datatype
Usage | Web & Application
Related | red() green() blue() hue() saturation()

Updated on December 20, 2005 02:03:00pm PST